Administration Console Online Help

    Previous Next  Open TOC in new window 
Content starts here

Set up Compatibility security

The Compatibility security framework is deprecated in this release of WebLogic Server and will not be supported in future major releases. BEA encourages users of Compatibility security to migrate their usage forward.

To set up Compatibility security:

  1. Make a backup copy of your 6.x WebLogic domain (including your config.xml file) before using Compatibility security.
  2. Add the following to the 6.x config.xml file if it does not exist, replacing the domain and realm names with the actual names of your domain and realms:
    <Security Name="mydomain" Realm="mysecurity"/>
    <Realm Name="mysecurity" FileRealm="myrealm"/>
    <FileRealm Name="myrealm"/>
  3. Install WebLogic Server in a new directory location. Do not overwrite your existing 6.x installation directory. For more information, see the WebLogic Server Installation Guide.
  4. Modify the start script for your 6.x server to point to the new WebLogic Server installation. Specifically, you need to modify:
    1. The classpath to point to the weblogic.jar file in the new WebLogic Server installation.
    2. The JAVA_HOME variable to point to the new WebLogic Server installation.
  5. Use the start script for your 6.x server to boot WebLogic Server.

After you finish

To verify whether you are correctly running Compatibility security, look for the following message in your domain log:

Security initializing using realm CompatibilityRealm

  Back to Top